#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    double r,k;
    cin>>n;
    int br=0;
    int x[n],y[n];
    for(int i=0;i<n;i++)
    {
        cin>> x[i]>>y[i];
    }
    if(n<4)
    {
        cout<<0;
        return 0;
    }
    for(int i=0;i<n;i++)
    {
        k=abs(x[i%n]-x[(i+1)%n]/x[(i+2)%n]-x[(i+3)%n]);
       r=abs(y[i%n]-y[(i+1)%n]/y[(i+2)%n]-y[(i+3)%n]);
       if(k==r)
        br++;
    }
    cout<<br;

    return 0;
}